L10n:Pontoon/Python 3

From MozillaWiki
Jump to: navigation, search

Should we support python 3 in Pontoon?

There is an existing bug 1362323.

Pros:

  • Django 2.x dropped support for python 2

Cons:

  • it's work for untracked gains
  • not all dependencies support python 3 yet

Unresolved dependencies:

commonware

 compare-locales
 django-sslserver
 futures
 mercurial
 pylama
 silme
 test-utils

Work Track: